#ifndef _QTCHESS_VALIDATE_
#define _QTCHESS_VALIDATE_

/*
** -- Local Includes --
**/

#include "qtchess.h"
#include "qtchess_defs.h"

/*
** -- Namespaces --
*/

namespace qtchess_validate
{
  int isKing(const int);
  int isPawn(const int);
  int isRook(const int);
  int isBlack(const int);
  int isColor(const int, const int);
  int isEmpty(const int);
  int isQueen(const int);
  int isWhite(const int);
  int isBishop(const int);
  int isKnight(const int);
  int isValidMove(const int, const int, const int, const int, const int);
  int isThreatened(const int, const int, const int);
};

#endif
